Bug 252978 - devel/py-pid: Update to 3.0.4
Summary: devel/py-pid: Update to 3.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/trbs/pid/blob/mast...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-24 14:34 UTC by Mattias Lindvall
Modified: 2021-01-31 21:11 UTC (History)
2 users (show)

See Also:


Attachments
py-pid.diff (1.32 KB, patch)
2021-01-24 14:34 UTC, Mattias Lindvall
mattias.lindvall: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mattias Lindvall 2021-01-24 14:34:14 UTC
Created attachment 221877 [details]
py-pid.diff

Changelog:

 - Use APPDATA and HOME locations on Windows
 - Add pid number to PidFileAlreadyRunningError
 - Support contextlib.ContextDecorator (github #29)
 - Use realpath when detecting pid (run) directories
 - Windows support (see #18)
 - Determine pid directory more extensively
 - Use effective uid if available
 - Rename SamePidFileNotSupported to PidFileConfigurationError
 - Fix pidfile being removed by second process after failing to obtain the lock
   This has side-effect that now automatic cleanup will not happen anymore if
   `PidFile.create(...)` method did not finish properly. If you manually create
   pidfiles you need to use `PidFile.close(cleanup=True)` or set the variable
   `PidFile._need_cleanup = True` by hand.
 - Fix atexit registration which was never done
 - Using standard mock library for tests if available

https://github.com/trbs/pid/blob/master/CHANGELOG

portlint -C still looks fine. Make commands still work fine.
Comment 1 Automation User 2021-01-24 14:53:10 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/246079019
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-26 09:11:52 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 3 Yuri Victorovich freebsd_committer 2021-01-31 21:10:14 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2021-01-31 21:11:00 UTC
A commit references this bug:

Author: yuri
Date: Sun Jan 31 21:10:01 UTC 2021
New revision: 563530
URL: https://svnweb.freebsd.org/changeset/ports/563530

Log:
  devel/py-pid: Update 2.2.3 -> 3.0.4

  PR:		252978
  Submitted by:	mattias.lindvall@gmail.com (maintainer)

Changes:
  head/devel/py-pid/Makefile
  head/devel/py-pid/distinfo